Ecore Job functions
Ecore » Ecore main loop

You can queue jobs that are to be done by the main loop when the current event is dealt with. More...

## Typedefs

typedef struct _Ecore_Job | Ecore_Job
| A job handle.

## Functions

Ecore_Job * | ecore_job_add (Ecore_Cb func, const void *data)
| Adds a job to the event queue.
void * | ecore_job_del (Ecore_Job *obj)
| Deletes a queued job that has not yet been executed.

## Detailed Description

You can queue jobs that are to be done by the main loop when the current event is dealt with.

Jobs are processed by the main loop similarly to events. They also will be executed in the order in which they were added.

A good use for them is when you don't want to execute an action immediately, but want to give the control back to the main loop so that it will call your job callback when jobs start being processed (and if there are other jobs added before yours, they will be processed first). This also gives the chance to other actions in your program to cancel the job before it is started.

Examples of using Ecore_Job :

- ecore_job - Queuing tasks

## Typedef Documentation

## Ecore_Job

typedef struct _Ecore_Job Ecore_Job

A job handle.

Since
  1.8

Examples
  ecore_job_example.c.

## Function Documentation

## ecore_job_add()

Ecore_Job * ecore_job_add | ( | Ecore_Cb | func,
|  | const void * | data )

Adds a job to the event queue.

Parameters

  func | The function to call when the job gets handled.
  data | Data pointer to be passed to the job function when the job is handled.

Returns
  The handle of the job. `NULL` is returned if the job could not be added to the queue.

Note
  Once the job has been executed, the job handle is invalid.

References ecore_event_add(), EINA_MAIN_LOOP_CHECK_RETURN_VAL, and ERR.

Referenced by efreet_icon_extra_list_get().

## ecore_job_del()

void * ecore_job_del | ( | Ecore_Job * | obj | ) |

Deletes a queued job that has not yet been executed.

Parameters

  obj | Handle of the job to delete.

Returns
  The data pointer that was to be passed to the job.

References ecore_event_del(), and EINA_MAIN_LOOP_CHECK_RETURN_VAL.

Referenced by elm_object_cursor_unset(), and elm_store_free().